ATMEL: Fs_clusterlist_cache Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# Fs_clusterlist_cache Struct Reference

Struture to store the cluster list cache. More...

`#include <fat.h>`

## Data Fields

Bool | b_cache_file
| Signal a cluster cache from file cluster list or directory cluster list.
U8 | u8_level_use
| Cache level, 0 for the last used and up to FS_NB_CACHE_CLUSLIST-1 for the old access (ignore if FS_NB_CACHE_CLUSLIST=1).
U8 | u8_lun
| LUN of cluster list.
U32 | u32_cluster
| First cluster of cluster list.
U32 | u32_start
| Start position in the cluster list (unit 512B).
U32 | u32_addr
| Address corresponding at the position "start" in cluster list.
U32 | u32_size
| Cluster list size.

## Detailed Description

Struture to store the cluster list cache.

Definition at line 332 of file fat.h.

## Field Documentation

Bool Fs_clusterlist_cache::b_cache_file

Signal a cluster cache from file cluster list or directory cluster list.

Definition at line 333 of file fat.h.

Referenced by fat_cache_clusterlist_reset(), fat_cache_clusterlist_update_select(), and fat_cache_clusterlist_update_start().

U8 Fs_clusterlist_cache::u8_level_use

Cache level, 0 for the last used and up to FS_NB_CACHE_CLUSLIST-1 for the old access (ignore if FS_NB_CACHE_CLUSLIST=1).

Definition at line 334 of file fat.h.

Referenced by fat_cache_clusterlist_reset(), fat_cache_clusterlist_update_select(), and fat_cache_clusterlist_update_start().

U8 Fs_clusterlist_cache::u8_lun

LUN of cluster list.

Definition at line 335 of file fat.h.

Referenced by fat_cache_clusterlist_reset(), fat_cache_clusterlist_update_finish(), fat_cache_clusterlist_update_read(), and fat_cache_clusterlist_update_start().

U32 Fs_clusterlist_cache::u32_cluster

First cluster of cluster list.

Definition at line 336 of file fat.h.

Referenced by fat_cache_clusterlist_update_start().

U32 Fs_clusterlist_cache::u32_start

Start position in the cluster list (unit 512B).

Definition at line 337 of file fat.h.

Referenced by fat_cache_clusterlist_update_finish(), fat_cache_clusterlist_update_read(), fat_cache_clusterlist_update_start(), and fat_cluster_list().

U32 Fs_clusterlist_cache::u32_addr

Address corresponding at the position "start" in cluster list.

Definition at line 338 of file fat.h.

Referenced by fat_cache_clusterlist_update_finish(), and fat_cache_clusterlist_update_read().

U32 Fs_clusterlist_cache::u32_size

Cluster list size.

Definition at line 339 of file fat.h.

Referenced by fat_cache_clusterlist_update_finish(), and fat_cache_clusterlist_update_read().

The documentation for this struct was generated from the following file:

- fat.h